<?php
        if(file_exists("./konfigurace.php")) {
                include("./konfigurace.php");
        } else {
                die("Konfigurační soubor <b>konfigurace.php</b> nebyl nalezen!");
        }

        function orez_retezec($retezec) {
                $retezec = trim(strip_tags(strtolower(mysql_real_escape_string($retezec))));
                return $retezec;
        }

        function orez_retezec_2($retezec) {
                $retezec = trim(strip_tags(mysql_real_escape_string($retezec)));
                return $retezec;
        }

        if(file_exists("./autorizace.php")) {
                include("./autorizace.php");
        } else {
                die("Autorizační soubor <b>autorizace.php</b> nebyl nalezen!");
        }

        function dotaz($sql) {
                $dotaz = mysql_query($sql) or die("Chyba databaze. Zkuste prosim akci opakovat pozdeji.");
                return $dotaz;
        }

        if(file_exists("./stat.php")) {
                include("./stat.php");
        } else {
                die("Soubor <b>stat.php</b> nebyl nalezen!");
        }


        $konf = mysql_fetch_array(dotaz("SELECT url,jmeno,popisek,pristupnost,potvrzeni,prispevku,temat,barvy,hledani FROM forum_konfigurace WHERE id = '1';"));
        list($forum_url, $forum_jmeno, $forum_popisek, $pristupnost, $potvrzeni_emailem, $pocet_prispevku_na_stranku, $pocet_temat_na_stranku, $barvy, $pocet_hledani_na_stranku) = $konf;
        $barvy = explode("|", $barvy);
        $js_onfocus = "#".$barvy[0];
        $js_onblur = "#".$barvy[1];
        $js_onmouseover = "#".$barvy[2];
        $js_onmouseout = "#".$barvy[3];

        function je_admin() {
                GLOBAL $prihlaseni_admin;
                if($prihlaseni_admin != 1) {
                        return header("Location: index.php");
                        die("Neopraveny pristup.<br /><a href=\"index.php\" title=\"Úvod\">na úvodní stránku</a>");
                }
        }


        function nutna_registrace() {
                GLOBAL $prihlaseni, $pristupnost;
                if((!$prihlaseni) && ($pristupnost == 2)) {
                        return header("Location: prihlaseni.php?akce=povinne");
                        die("Neopraveny pristup.<br /><a href=\"index.php\" title=\"Úvod\">na úvodní stránku</a>");
                }
        }
        

        function dopln_tagy($zacatek,$konec,$text) {
                $pocet = substr_count($text,$zacatek);
                $pocet2 = substr_count($text,$konec);
                if($pocet != $pocet2) {
                        $pridat = $pocet - $pocet2;
                        for($i = 0; $i < $pridat; $i++) {
                                $text .= $konec;
                        }
                }
                return $text;
        }


        function overeni_vyplneni($promenna, $nazev) {
                $vysledek = "";
                if(empty($promenna)) { $vysledek = "&nbsp;- povinné pole <b>".$nazev."</b> nebylo vyplněno<br />"; }
                return $vysledek;
        }


        function uzivatel() {
                GLOBAL $prihlaseni, $prihlaseni_jmeno, $prihlaseni_id;
                if($prihlaseni) { $uzivatel = "<a href=\"profil.php?uzivatel=".$prihlaseni_id."\" title=\"Zobraz profil\">$prihlaseni_jmeno</a>"; }
                else { $uzivatel = "nepřihlášen"; }
                $uzivatel = "\t<div id=\"uzivatel\">Uživatel: ".$uzivatel."</div>\n";
                return $uzivatel;
        }


        function menu() {
                GLOBAL $prihlaseni, $prihlaseni_id, $prihlaseni_admin;
                if($prihlaseni) { $menu = "<li><a href=\"index.php?odhlaseni=true\" title=\"Odhlásit se\">Odhlásit se</a></li>\n\t\t<li><a href=\"zmenit_udaje.php\" title=\"Změnit údaje\">Změnit údaje</a></li>"; }
                else { $menu = "<li><a href=\"prihlaseni.php\" title=\"Přihlásit se\">Přihlásit se</a></li>\n\t\t<li><a href=\"registrace.php\" title=\"Registrace\">Registrace</a></li>"; }
                $menu = "\t<ul id=\"menu\">\n\t\t<li><a href=\"index.php\" title=\"Úvod\">Úvod</a></li>\n\t\t".$menu."\n\t\t\n\t</ul>\n";
                if($prihlaseni_admin == 1) { $admin_menu = "\t<div id=\"admin_menu\"><b>Administrace:</b> <a href=\"admin_konfigurace.php\" title=\"Konfigurace\">Konfigurace</a> | <a href=\"admin_obsah.php\" title=\"Obsah fóra\">Obsah fóra</a> | <a href=\"uzivatele.php\" title=\"Uživatele\">Uživatele</a> | <a href=\"admin_prava.php\" title=\"Práva\">Práva</a> |  <a href=\"admin_optimalizace.php\" title=\"Optimalizace\">Optimalizace</a> | <a href=\"admin_zaloha.php\" title=\"Záloha/obnovení fóra\">Záloha/obnovení</a>"; }
                $uzivatel = uzivatel();
                return $menu.$uzivatel.$admin_menu;
        }


        function logo() {
                GLOBAL $forum_url; //$forum_popisek/
                $logo = "<div id=\"hlavni\">\n\t<div id=\"hlavicka\" onclick=\"location.href='index.php'\">\n\t\t<h1>".$forum_url."</h1>\n\t\t<h2>".$forum_popisek."</h2>\n\t</div>\n";
                return $logo;
        }


        function js_form() {
                GLOBAL $js_onfocus, $js_onblur;
                return "onfocus=\"this.style.borderColor = '".$js_onfocus."'\" onblur=\"this.style.borderColor = '".$js_onblur."'\"";
        }


        function js_hover() {
                GLOBAL $js_onmouseover, $js_onmouseout;
                return "onmouseover=\"this.style.backgroundColor = '".$js_onmouseover."'\" onmouseout=\"this.style.backgroundColor = '".$js_onmouseout."'\"";
        }


        function nahodne_cislo() { 
                $cisla = Array("0" => "nula", "1" => "jedna", "2" => "dvě", "3" => "tři", "4" => "čtyři", "5" => "pět", "6" => "šest", "7" => "sedm", "8" => "osm", "9" => "devět");
                $i = mt_rand(0,9); $cislo = $cisla[$i]; $sifra = md5($i);
                $vysledek[cislo] = $cislo; $vysledek[sifra] = $sifra;
                return $vysledek;
        }


        function over_cislo($sifra,$cislo) {
                if($sifra != md5($cislo)) {
                        $chyba = "&nbsp;- číslo bylo špatně opsáno<br />";
                        return $chyba;
                }
        }


        function je_ban($ip) {
                if(mysql_num_rows(mysql_query("SELECT * FROM forum_ip_ban WHERE ip = '$ip';")) != 0) {
                        return "&nbsp;- máte zakázáno vkládat příspěvky a zakládat témata - kontaktujte admin fóra<br />";
                }
        }


        function hlavicka($titulek,$admin = FALSE) {
                GLOBAL $unread_fora;
                if($admin) {
                        $admin = "\n\t<link rel=\"stylesheet\" type=\"text/css\" href=\"admin.css\" media=\"screen,projection\" />";
                }

                $epoch = date("U");
                if(!isset($_COOKIE[cas])) {
                        setcookie("cas", $epoch, $epoch+3600*24*365);
                } elseif(!isset($_COOKIE[fora])) {
                        $query = dotaz("SELECT id FROM forum_fora WHERE posledni2 > '$_COOKIE[cas]';");
                        $unread_fora = Array();
                        while($row = mysql_fetch_array($query)) {
                                $unread_fora[] = $row[id];
                        }        
                        $unread_fora2 = implode("|", $unread_fora);
                        setcookie("fora", $unread_fora2, $epoch+900);
                }

                setcookie("cas", $epoch, $epoch+3600*24*365);

                $hlavicka = "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">
<html>
<he".$z."ad>
        <meta http-equiv=\"Content-type\" content=\"text/html; charset=utf-8\" />
        <meta http-equiv=\"cache-control\" content=\"no-cache\" />
        <meta http-equiv=\"pragma\" content=\"no-cache\" />".$admin."
        <link rel=\"stylesheet\" type=\"text/css\" href=\"styl.css\" media=\"screen,projection\" />
        <title>
                ".$titulek."
        </title>
        <script src=\"area.js\" type=\"text/javascript\"></script>
        <script type=\"text/javascript\" src=\"texyla/texyla.js\"></script>
</he".$z."ad>
<bo".$z."dy>\n";
                return $hlavicka;
        }

        $paticka = "\t<div id=\"paticka\"></div>
</div>
</bo".$z."dy>
</html>";
?>